This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 43479 - kernelsource is change somehow and NVidiadriver and alsa-cvs does not load
kernelsource is change somehow and NVidiadriver and alsa-cvs does not load
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-05 03:32 EDT by Knut J BJuland
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-05 08:45:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2001-06-05 03:32:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5-ac5 i686)

Description of problem:
unresolved error in ALSA and NVIDIA_kernel driver, they do not load with
kernel

How reproducible:
Always

Steps to Reproduce:
1. in NVIDIA_kernel_source, make and it can not load and have unresolved
symblos
2. same problem with alsa
3.
	

Actual Results:  it does not work and X'll not start

Expected Results:  X start with sound.

Additional info:

It worked with Linux-2.4.5-ac3 and linux-2.4.5-ac8
Comment 1 Arjan van de Ven 2001-06-05 04:52:07 EDT
1) I really don't care about NVidia
2) What kernel is this _exactly_ ? (I do care about alsa)
Comment 2 Arjan van de Ven 2001-06-05 04:53:12 EDT
And _what_ symbols
Comment 3 Knut J BJuland 2001-06-05 08:45:17 EDT
first errror message from alsa 0.9
Starting sound driver: snd-card-emu10k1 /lib/modules/2.4.5-0.2.9/misc/snd.o:
unresolved symbol proc_root_Ra1008b3d
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol register_chrdev_R1683fbb4
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol
register_sound_special_R25bbd7c8
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol mem_map_R680be547
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol
remove_wait_queue_Rd921db3b
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol __pollwait_Rb5b207c3
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol
create_proc_entry_Rb0e8220c
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol
remove_proc_entry_Rf82b8cbb
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol fasync_helper_R784e6e64
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol add_wait_queue_R46a70e52
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol kill_fasync_Re3ec72f4
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol vfs_readlink_R3c9d3709
/lib/modules/2.4.5-0.2.9/misc/snd.o: unresolved symbol vfs_follow_link_Ra902c028
/lib/modules/2.4.5-0.2.9/misc/snd.o: insmod /lib/modules/2.4.5-0.2.9/misc/snd.o
failed
/lib/modules/2.4.5-0.2.9/misc/snd.o: insmod snd-card-emu10k1 failed
done

then from NVdriver

rm -f nv.o os-interface.o os-registry.o Module-linux NVdriver
cc -c -Wall -Wno-unknown-pragmas -Wno-multichar -O  -D__KERNEL__ -DMODULE
-D_LOOSE_KERNEL_NAMES -D_X86_=1 -Di386=1 -march=i686 -DUNIX -DLINUX -DNV4_HW
-DNTRM -DRM20 -D_GNU_SOURCE -DRM_HEAPMGR -D_LOOSE_KERNEL_NAMES  
-DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=1251  -I.
-I/lib/modules/2.4.5-0.2.9/build/include nv.c
cc -c -Wall -Wno-unknown-pragmas -Wno-multichar -O  -D__KERNEL__ -DMODULE
-D_LOOSE_KERNEL_NAMES -D_X86_=1 -Di386=1 -march=i686 -DUNIX -DLINUX -DNV4_HW
-DNTRM -DRM20 -D_GNU_SOURCE -DRM_HEAPMGR -D_LOOSE_KERNEL_NAMES  
-DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=1251  -I.
-I/lib/modules/2.4.5-0.2.9/build/include os-interface.c
cc -c -Wall -Wno-unknown-pragmas -Wno-multichar -O  -D__KERNEL__ -DMODULE
-D_LOOSE_KERNEL_NAMES -D_X86_=1 -Di386=1 -march=i686 -DUNIX -DLINUX -DNV4_HW
-DNTRM -DRM20 -D_GNU_SOURCE -DRM_HEAPMGR -D_LOOSE_KERNEL_NAMES  
-DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=1251  -I.
-I/lib/modules/2.4.5-0.2.9/build/include os-registry.c
ld -r -o Module-linux nv.o os-interface.o os-registry.o
ld -r -o NVdriver Module-linux Module-nvkernel
size NVdriver
   text    data     bss     dec     hex filename
 524413   29280   52364  606057   93f69 NVdriver
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/kernel/fs/jbd/jbd.o
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/kernel/video/NVdriver
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/misc/snd-hwdep.o
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/misc/snd-pcm-oss.o
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/misc/snd-pcm.o
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/misc/snd-rawmidi.o
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/misc/snd-seq-oss.o
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/misc/snd-seq.o
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/misc/snd-timer.o
depmod: *** Unresolved symbols in /lib/modules/2.4.5-0.2.9/misc/snd.o
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver: unresolved symbol
proc_root_Ra1008b3d
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver: unresolved symbol
register_chrdev_R1683fbb4
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver: unresolved symbol
mem_map_R680be547
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver: unresolved symbol
__pollwait_Rb5b207c3
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver: unresolved symbol
init_mm_Rfe4ac209
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver: unresolved symbol
create_proc_entry_Rb0e8220c
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver: unresolved symbol
remove_proc_entry_Rf82b8cbb
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver: insmod
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver failed
/lib/modules/2.4.5-0.2.9/kernel/video/NVdriver: insmod NVdriver failed

I thin this is cause by the same problem i source I use kernel-2.4.5-0.2.9 and
linux-2.4.5-ac which work.
Comment 4 Knut J BJuland 2001-06-05 09:53:30 EDT
I manage to get booth alsa and NVdirver to work by uninstalling kernel-source
and reinstalling. Then compile kernel source make mrproper dep xconfig dep
bzImage modules modules_install install

Note You need to log in before you can comment on or make changes to this bug.